A user-ppp “command_Expand_Interpret()” puffer túlcsordulásos sérülékenysége

CH azonosító

CH-1055

Felfedezés dátuma

2008.03.05.

Súlyosság

Alacsony

Érintett rendszerek

FreeBSD
FreeBSD Project
N/A
NetBSD
NetBSD Foundation
OpenBSD
user-ppp

Érintett verziók

OpenBSD OpenBSD
NetBSD Foundation NetBSD
FreeBSD Project FreeBSD 6.3
N/A user-ppp

Összefoglaló

A user-ppp egy olyan sérülékenységét jelentették, melyet rosszindulatú, helyi felhasználók jogosultságaik kiterjesztésére használhatnak ki.

Leírás

A user-ppp egy olyan sérülékenységét jelentették, melyet rosszindulatú, helyi felhasználók jogosultságaik kiterjesztésére használhatnak ki.

A sérülékenységet a “command_Expand_Interpret()” függvény határhibája okozza. Ezt verem túlcsordulás előidézésére lehet kihasználni olyan karakterláncokkal, melyek speciális karaktereket tartalmaznak (például: ‘~’).

A sikeres kiaknázás feltétele, hogy a támadó rendelkezzen a “network” csoport jogosultságaival.

A sérülékenységet a user-ppp FreeBSD 6.3-as verziójában jelentették. Más verziók is lehetnek érintettek.

Megoldás

Helyi hozzáférést csak megbízható felhasználóknak engedélyezzen.